Hi,

I'm using Blaupunkt Philadelphia 835 with IGO 9.2.0.198379 version.

I want to use updated version (most recent) of iGO, or NAVIGON or Sygic.

Is it possible? How to know which version take?

Can you help me please ?